<?php
include '../inc/head.php';
$id= $_GET['load'];
$url = 'http://pux.su'.($id ? $id :'/load.html');
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl,CURLOPT_USERAGENT,'Opera/9.80 (Windows NT 5.1; U; ru) Presto/2.2.15 Version/10.10');
curl_setopt($curl, CURLOPT_REFERER, "http://pux.su");
curl_setopt($curl, CURLOPT_RETURNTRANSFER,1);
curl_setopt($curl, CURLOPT_TIMEOUT, 30);
$file = curl_exec($curl);
curl_close($curl);
$file = str_replace('<?xml version="1.0" encoding="UTF-8"?>','',$file);
$file = preg_replace('#\n#sU','',$file);
$file = preg_replace('#<!DOCTYPE(.*)<div class="zag">(.*)</div>#sU','',$file);
$file = preg_replace('#<div class="dv"><script(.*)</html>#sU','',$file);
$file = preg_replace('#<div class="dv2" style="padding: 5px; border: 0px !important;">(.*)<div class="zag"></div>#sU','',$file);
$file = preg_replace('#<!--(.*)-->#sU','<!-- Wape.su -->',$file);
$file = str_replace('</a><span','</a> <span',$file);
$file = str_replace('box-link','topmenu',$file);
$file = preg_replace('#<li>(.*)</li>#sU','<div class="menu">\1</div>',$file);
$file = preg_replace('#<ul(.*)>(.*)</ul>#sU','\2',$file);

$file = preg_replace('#href="(.*)"#sU','href="index.php?load='.htmlspecialchars('\1').'"', $file);
$file = str_replace('class="box_mp3" ','',$file);
$file = str_replace('&','&amp;',$file);
$file = str_replace('&amp;raquo;','&raquo;', $file);
$file = str_replace('class="dv"','class="menu"', $file);
$file = str_replace('<div class="menu">  <a href="index.php?load=/load_search.html?outpage="><img src="/images/search.png" alt="*"/>  Поиск файлов</a> <br />  <a href="index.php?load=/load_top10.html?outpage="><img src="/images/top10.png" alt="*" /> ТОП 10</a> <br />  </div>','', $file);
$file = str_replace('<div class="menu">  <a href="index.php?load=/load_search.html?outpage=2"><img src="/images/search.png" alt="*"/>  Поиск файлов</a> <br />  <a href="index.php?load=/load_top10.html?outpage=2"><img src="/images/top10.png" alt="*" /> ТОП 10</a> <br />  </div>','', $file);
$file = str_replace('<div class="menu">  <a href="index.php?load=/load_search.html?outpage=1"><img src="/images/search.png" alt="*"/>  Поиск файлов</a> <br />  <a href="index.php?load=/load_top10.html?outpage=1"><img src="/images/top10.png" alt="*" /> ТОП 10</a> <br />  </div>','', $file);
$file = str_replace('<div class="menu">  <a href="index.php?load=/load_search.html?outpage=3"><img src="/images/search.png" alt="*"/>  Поиск файлов</a> <br />  <a href="index.php?load=/load_top10.html?outpage=3"><img src="/images/top10.png" alt="*" /> ТОП 10</a> <br />  </div>','', $file);
$file = str_replace('index.php?load=/download-','download.php?load=', $file);
$file = str_replace('','', $file);
$file = str_replace('http://wap.pux.su/download-',''.$set['homeurl'].'/dl/download.php?load=', $file);

$file = preg_replace('#<div class="menu">(.*)<img src="/images/search.png" alt="*"/>(.*)</div>#sU','', $file);
echo $file;
include '../inc/foot.php';
?>